Skip to content
Proud to collaborate with Microsoft for Startups

docusign.users.post-users ​

Adds new users to an account. The body of this request is an array of newUsers objects. For each new user, you must provide at least the userName and email properties. The maximum number of users you can create in one request is 500 users. The userSettings property specifies the actions users can perform. In the example below, Tal Mason will be able to send envelopes, and the activation email will be in French because the locale is set to fr. POST /restapi/v2.1/accounts/{accountId}/users Content-Type: application/json { "newUsers": [ { "userName": "Claire Horace", "email": "claire@example.com" }, { "userName": "Tal Mason", "email": "talmason@example.com", "company": "TeleSel", "userSettings": { "locale": "fr", "canSendEnvelope": true } } ] } A successful response is a newUsers array with information about the newly created users. If there was a problem in creating a user, that user entry will contain an errorDetails property that describes what went wrong. json { "newUsers": [ { "userId": "18f3be12-xxxx-xxxx-xxxx-883d8f9b8ade", "uri": "/users/18f3be12-xxxx-xxxx-xxxx-883d8f9b8ade", "email": "claire@example.com", "userName": "Claire Horace", "createdDateTime": "0001-01-01T08:00:00.0000000Z", "errorDetails": { "errorCode": "USER_ALREADY_EXISTS_IN_ACCOUNT", "message": "Username and email combination already exists for this account." } }, { "userId": "be9899a3-xxxx-xxxx-xxxx-2c8dd7156e33", "uri": "/users/be9899a3-xxxx-xxxx-xxxx-2c8dd7156e33", "email": "talmason@example.com", "userName": "Tal Mason", "userStatus": "ActivationSent", "createdDateTime": "2020-05-26T23:25:30.7330000Z" } ] }

Adds new users to the specified account.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
newuserslistNo—A list of one or more new users.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
newuserslistNo—A list of one or more new users.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call POST /v2.1/accounts/{accountId}/users
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform POST /v2.1/accounts/{accountId}/users
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.users.post-users",
  "initial_data": {
    "base_url": "value",
    "accountid": "value"
  }
}